package com.mvc.model.sldh;

import com.mvc.model.TAffiliatedunitModel;

import java.util.List;

/**
 * 水利大会单位模型
 */
public class SLDHUnitModel implements java.io.Serializable{
    private String unitCode;//单位编码
    private String unitName;//单位名称
    private List<SLDHStationModel> stationList;//有权查看的站点列表

    public SLDHUnitModel() {
    }

    public SLDHUnitModel(String unitCode, String unitName, List<SLDHStationModel> stationList) {
        this.unitCode = unitCode;
        this.unitName = unitName;
        this.stationList = stationList;
    }

    public SLDHUnitModel(TAffiliatedunitModel affiliatedunitModel) {
        this.unitCode = affiliatedunitModel.getUnitCode();
        this.unitName = affiliatedunitModel.getUnitName();
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public List<SLDHStationModel> getStationList() {
        return stationList;
    }

    public void setStationList(List<SLDHStationModel> stationList) {
        this.stationList = stationList;
    }
}
